Message: Problem creating shared library libG4globman.so Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

Question Problem creating shared library libG4globman.so 

Forum: Installation and Configuration
Date: 18 Apr, 2011
From: Michael Rinaldi <Michael Rinaldi>

While doing the initial install of geant4.9.4.p01 I ran into a problem. All compilation worked fine but when the Configure script reached the point where it creates shared libraries I get an error while,

 Creating shared library /home/rinaldi/geant/geant4.9.4.p01/lib/Linux-g++/libG4globman.so ...

I've attached the log file to the geant4.9.4.p01 build to highlight the error(s).

About my system: I'm building on a Penguin High performance cluster running RedHat: Specifically,....

Architecture:

rinaldi@hpc1.atc.lmco.com:$ uname -a Linux hpc1.atc.lmco.com 2.6.9-78.0.17.EL.431g0000smp #1 SMP Wed Mar 25 15:37:23 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux

Compiler:

rinaldi@hpc1.atc.lmco.com:$ gcc -v Reading specs from /usr/lib/gcc/x86_64-redhat-linux/3.4.6/specs Configured with: ../configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --enable-shared --enable-threads=posix --disable-checking --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-java-awt=gtk --host=x86_64-redhat-linux Thread model: posix gcc version 3.4.6 20060404 (Red Hat 3.4.6-10)

I've successfully installed and have been using geant4.9.3.p02 for some time. So this indicates something different (from 4.9.3.p02) during the linking aspect of the geant4.9.4.p01

Thanks for any help.

   Attachment:
      http://hypernews.slac.stanford.edu/HyperNews/geant4/get/AUX/2011/04/18/13.09-88752-g4make.log

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 None: Re: Problem creating shared library libG4globman.so   (Ben Morgan - 28 Apr, 2011)
(_ Feedback: Re: Problem creating shared library libG4globman.so   (Michael Rinaldi - 28 Apr, 2011)
 Add Message Add Message
to: "Problem creating shared library libG4globman.so"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]